gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Gdk.DisplayManager

Contents

- Detail
- Class Hierarchy
- Types
- Methods
- Attributes
- Signals

Description

Maintains a list of all open GdkDisplays

- Module available since Gdk version 2.2

Synopsis

- data DisplayManager
- class GObjectClass o => DisplayManagerClass o
- castToDisplayManager :: GObjectClass obj => obj -> DisplayManager
- toDisplayManager :: DisplayManagerClass o => o -> DisplayManager
- displayManagerGet :: IO DisplayManager
- displayManagerListDisplays :: DisplayManagerClass self => self -> IO [Display]
- displayManagerDefaultDisplay :: DisplayManagerClass self => Attr self Display
- displayManagerOpened :: DisplayManagerClass self => Signal self (Display -> IO ())

# Detail

The purpose of the `DisplayManager` singleton object is to offer notification when displays appear or disappear or the default display changes.

# Class Hierarchy

    | GObject
    | +----DisplayManager

# Types

data DisplayManager Source #

#### Instances

Instances details

Eq DisplayManager Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: DisplayManager -> DisplayManager -> Bool Source # (/=) :: DisplayManager -> DisplayManager -> Bool Source #
Ord DisplayManager Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: DisplayManager -> DisplayManager -> Ordering Source #

(<) :: DisplayManager -> DisplayManager -> Bool Source #

(<=) :: DisplayManager -> DisplayManager -> Bool Source #

(>) :: DisplayManager -> DisplayManager -> Bool Source #

(>=) :: DisplayManager -> DisplayManager -> Bool Source #

max :: DisplayManager -> DisplayManager -> DisplayManager Source #

min :: DisplayManager -> DisplayManager -> DisplayManager Source #

GObjectClass DisplayManager Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: DisplayManager -> GObject Source # unsafeCastGObject :: GObject -> DisplayManager Source #
DisplayManagerClass DisplayManager Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => DisplayManagerClass o Source #

#### Instances

Instances details

DisplayManagerClass DisplayManager Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToDisplayManager :: GObjectClass obj => obj -> DisplayManager Source #

toDisplayManager :: DisplayManagerClass o => o -> DisplayManager Source #

# Methods

displayManagerGet Source #

Arguments

:: IO DisplayManager | returns the singleton `DisplayManager` object.

Returns the global `DisplayManager` singleton; `parsePargs`, `init`, or `initCheck` must have been called first.

displayManagerListDisplays Source #

Arguments

:: DisplayManagerClass self |
=> self |
-> IO [Display] | returns a newly allocated list of `Display` objects.

List all currently open displays.

# Attributes

displayManagerDefaultDisplay :: DisplayManagerClass self => Attr self Display Source #

The default display.

# Signals

displayManagerOpened :: DisplayManagerClass self => Signal self (Display -> IO ()) Source #

The `displayManagerOpened` signal is emitted when a display is opened.